Name:       dosbox-x
Version:    0.83.5
Release:    1%{?dist}
Summary:    A fork of DOSBox, with patches and more features
License:    GPL-2
URL:        https://github.com/joncampbell123/dosbox-x
Source0:    https://github.com/joncampbell123/dosbox-x/archive/%{name}-v%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: alsa-lib-devel
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: gcc
BuildRequires: nasm
BuildRequires: SDL2-devel
BuildRequires: SDL2_net-devel
BuildRequires: SDL2_ttf-devel
BuildRequires: libpng-devel
BuildRequires: libpcap-devel
BuildRequires: ncurses-devel
# BuildRequires: ffmpeg-devel
BuildRequires: libxkbfile-devel
BuildRequires: zlib-devel

Requires: hicolor-icon-theme

%description
DOSBox-X is a cross-platform DOS emulator based on the DOSBox project (www.dosbox.com). Like DOSBox, it emulates a PC 
necessary for running many MS-DOS games and applications that simply cannot be run on modern PCs and operating systems. 
However, while the main focus of DOSBox is for running DOS games, DOSBox-X goes much further than this. 
Started as a fork of the DOSBox project, it retains compatibility with the wide base of DOS games and DOS gaming DOSBox 
was designed for. But it is also a platform for running DOS applications, including emulating 
the environments to run Windows 3.x, 9x and ME and software written for those versions of Windows.

%prep
%autosetup -n %{name}-%{name}-v%{version}
chmod +x vs2015/sdl/build-scripts/strip_fPIC.sh
autoreconf --force --install

%build
%configure \
	--enable-alsa-midi \
	--enable-sdl2 \
	--disable-sdl \
	--enable-opengl \
	--enable-screenshots \
	--enable-x11


%make_build

%install
%make_install

%files
%doc AUTHORS CHANGELOG COPYING NEWS README.md THANKS
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/dosbox-x.png
%{_datadir}/metainfo/*
%{_datadir}/dosbox-x

%changelog
* Thu Sep 27 15:48:41 MSK 2020 Yury Martynov <email@linxon.ru> - 0.83.5-1
- Initial package
